main {
  display: flex;
  flex-direction: column;
}

body {
  background-color: #fcf9ea;
}

#no_items {
  color: gray;
  text-align: center;
}

#search {
  margin: auto 0rem;
  display: flex;
  max-width: 10rem;
}

#search img {
  position: absolute;
  margin: 0.6rem; /* TODO: fix to auto */
  height: 1rem;
  width: 1rem;
}
#search input {
  height: 2rem;
  width: 100%;
  padding-left: 2rem; /* TODO: Same as above one */
  border-radius: 0.5rem;
  border: 1px solid gray;
}

nav ul {
  display: flex;
  list-style: none;
  padding: 0px;
  margin: 0px; 
}

nav ul li {
  padding: 0rem 1rem; 
}

nav ul li a {
  width: 100%;
  height: 100%;
  display: block;
  line-height: 4rem;
}

nav {
  display: flex;
  position: relative;
  height: 4rem;
  background-color: #BDD2B6;
}

nav a {
  transition: color 250ms ease-in-out;
  color: #222;
  text-decoration: none;
  font-weight: bold;
}

nav ul li:hover {
  background-color: #A5B79F; 
}

.mobile-dropdown {
  cursor: pointer;
  aspect-ratio: 1;
  width: 4rem;
  height: 4rem;
  display: none;
}

.mobile-dropdown i {
  margin: auto;
  font-size: 2rem;
}

#cart_count {
  position: absolute;
  display: none;
  right: 0.5rem;
  top: 0.5rem;
  justify-content: center;
  align-items: center;
  background-color: red;
  color: white;
  border-radius: 1rem;
  width: 1rem;
  height: 1rem;
  font-size: 0.8rem;
}

.cart_button {
  display: flex;
  position: relative;
  cursor: pointer;
  aspect-ratio: 1;
  width: 4rem;
  height: 4rem;
  margin-left: auto;
}
.cart_button img {
  margin: auto;
  font-size: 2rem;
}

#home_link {
  padding: 0.5rem;
  aspect-ratio: 1;
}

#banner {
  content:url("/assets/android-chrome-512x512.png");
  max-width: 100%;
  max-height: 100%;
}

@media only screen and (max-width: 600px) {
  .mobile-dropdown {
    display: flex;
  }

  nav ul li {
    background-color: #def4d7;
  }

  nav ul {
    display: block;    
    width: 100%;
    position: absolute;
    top: 4rem;
    left: 0px;
    background-color: #def4d7;
  }

  #search {
    max-width: max-content;
  }
}
